<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="conhecimento">
      <h2 data-cy="conhecimentoDetailsHeading"><span jhiTranslate="matrixApp.conhecimento.detail.title">Conhecimento</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="matrixApp.conhecimento.id">Id</span></dt>
        <dd>
          <span>{{ conhecimento.id }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.conhecimento.descricao">Descricao</span></dt>
        <dd>
          <span>{{ conhecimento.descricao }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.conhecimento.competencia">Competencia</span></dt>
        <dd>
          <div *ngIf="conhecimento.competencia">
            <a [routerLink]="['/competencia', conhecimento.competencia.id, 'view']">{{ conhecimento.competencia.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="matrixApp.conhecimento.bloom">Bloom</span></dt>
        <dd>
          <div *ngIf="conhecimento.bloom">
            <a [routerLink]="['/bloom', conhecimento.bloom.id, 'view']">{{ conhecimento.bloom.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Voltar</span>
      </button>

      <button type="button" [routerLink]="['/conhecimento', conhecimento.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editar</span>
      </button>
    </div>
  </div>
</div>
